<?php
// +---------------------------------------------+
// |     Copyright  2006 - 2008 weenCompany      |
// |     http://www.weentech.com                 |
// |     This file may not be redistributed.     |
// +---------------------------------------------+

define('IN_ADMIN', true);
define('IN_WEENCOMPANY', true);

$rootpath = "./../";

include($rootpath . 'includes/core.php');

PrintHeader('系統升級');

// get the value of $action
$action = isset($_POST['action']) ? $_POST['action'] : (isset($_GET['action']) ? $_GET['action'] : 'displayupgrades');

if($action == 'upgraderunning')
{

  PrintSection('升級提示');
  echo '<table width="100%" border="0" cellpadding="5" cellspacing="0">
        <tr>
            <td class="tdrow1" colspan="2">系統升級中...</td>
          </tr>
          <tr>
            <td class="tdrow2" width="70%" valign="top">
              1. 請嚴格按升級說明進行系統升級, 升級說明一般隨附在下載的升級包中;<br>
			  2. 在後臺首頁查看系統版本及編碼格式, 嚴格選擇對應的升級程序;<br>
			  3. 升級過程一般是先將升級包解壓後上傳到網站替換原文件, 然後到後臺運行升級程序(主要是更新數據庫中的信息);<br>
			  4. 中英文雙語版需要分別進入中英文後臺運行升級程序;<br>
			  5. 升級完成後最好刪除upgrade目錄內的所有文件.<br><br>
              </td>
          </tr>
          <tr>
			<td class="tdrow2" width="70%" valign="top" align="center">
			<br>';
			
			include($rootpath . 'upgrade/upgrade.php');
			
	echo '<br><br>
			</td>
			</tr>		  
			</table>';
		  
  EndSection();

}



function DisplayNewUpgrades()
{
  global $DB, $rootpath;
  $availableupgrades = 0;

	if(file_exists($rootpath . 'upgrade/upgrade.php') and file_exists($rootpath . 'upgrade/version.php'))
	{
		include($rootpath . 'upgrade/version.php');
		
		$getversion = $DB->query_first("SELECT value FROM " . TABLE_PREFIX . "mainsettings WHERE  varname = 'sdversion'");
		$version    = $getversion['value']; 
		$disableupgrade    = 'Disabled'; 
		
		
        $new = str_replace ('.', '', $cwsversion);
        $old = str_replace ('.', '', $version);

		if(strtolower($lang_charset)<>'utf-8'){
			$messages = '<font class=ohred>weenCompany系統程序與升級程序編碼不匹配, 無法升級!</font>';
		}elseif(intval ($new) <= intval ($old)){
			$messages = '<font class=ohred>您現在正在使用的版本高於或等於升級程序中的版本, 無需升級!</font>';
		}else{
		    $disableupgrade    = 'Enabled'; 
		}
		 
		$availableupgrades++;
	
		echo '<tr>
				<td class="tdrow1" colspan="2">已檢測到升級程序，請按提示進行升級!</td>
			  </tr>
			  <tr>
				<td class="tdrow2" width="70%" valign="top">
				  1. 請嚴格按升級說明進行系統升級, 升級說明一般隨附在下載的升級包中;<br>
				  2. 在後臺首頁查看系統版本及編碼格式, 嚴格選擇對應的升級程序;<br>
				  3. 升級過程一般是先將升級包解壓後上傳到網站替換原文件, 然後到後臺運行升級程序(主要是更新數據庫中的信息);<br>
				  4. 中英文雙語版需要分別進入中英文後臺運行升級程序;<br>
			      5. 升級完成後最好刪除upgrade目錄內的所有文件.<br><br>
				  </td>
			  </tr>
			  <tr>
				<td class="tdrow2" width="70%" valign="top" align="center">
				<form method="post" action="sysupgrade.php?action=upgraderunning">
				當前使用中的版本是: ' . $version . ' (UTF-8)<br>
				正要升級到的版本是: <font class=oh_red>' . $cwsversion . '</font> ('. $lang_charset .')<br>
				<br><br>
				' . $messages . '
				<br><br><br>
				   <input type="submit" name="installtemplate" value="運行升級程序" '. $disableupgrade .'><br><br>
				</form>
				</td>
			  </tr>';
	}
	

  return $availableupgrades;
}


// ############################### DISPLAY UPGRADES ###############################

if($action == 'displayupgrades')
{
  PrintSection('升級提示');
  echo '<table width="100%" border="0" cellpadding="5" cellspacing="0">';

  if(!DisplayNewUpgrades())
  {
    echo '<tr>
            <td class="tdrow1" colspan="2">暫無可用的升級程序，請先將升級文件上傳到網站根目錄下的"upgrade/"目錄中!</td>
          </tr>
          <tr>
            <td class="tdrow2" width="70%" valign="top">
              1. 請嚴格按升級說明進行系統升級, 升級說明一般隨附在下載的升級包中;<br>
			  2. 在後臺首頁查看系統版本及編碼格式, 嚴格選擇對應的升級程序;<br>
			  3. 升級過程一般是先將升級包解壓後上傳到網站替換原文件, 然後到後臺運行升級程序(主要是更新數據庫中的信息);<br>
			  4. 中英文雙語版需要分別進入中英文後臺運行升級程序;<br>
			  5. 升級完成後最好刪除upgrade目錄內的所有文件.<br><br>
              </td>
          </tr>';
  }

  echo '</table>';
  EndSection();

}



// ############################### PRINT FOOTER ################################

PrintFooter();

?>
